Subject: Re: [Intel-wired-lan] [PATCH net-next V5 2/2] intel: ixgbevf: Support Windows hosts (Hyper-V)

From: Jeff Kirsher <[email-masked]>
Date: Tue, 19 Apr 2016 23:24:42 -0700

On Tue, 2016-04-19 at 19:17 -0700, K. Y. Srinivasan wrote:
> On Hyper-V, the VF/PF communication is a via software mediated path
> as opposed to the hardware mailbox. Make the necessary
> adjustments to support Hyper-V.
> 
> Signed-off-by: K. Y. Srinivasan <[email-masked]>
> ---
>         V2: Addressed most of the comments from
>             Alexander Duyck <[email-masked]>
>             and Rustad, Mark D <[email-masked]>.
> 
>         V3: Addressed additional comments from
>             Alexander Duyck <[email-masked]>
> 
>         V4: Addressed kbuild errors reported by:
>             kbuild test robot <[email-masked]>
> 
>         V5: Addressed additional comments from
>             Alexander Duyck <[email-masked]>

First I commend you on actually making a proper changelog for a patch.
 The only issue I have is that the changelog provides not actual
changes.  Saying you reacted to comments does not summarize what the
actual changes were.  I purposely did not review the earlier versions
because by the time I went to do a review, there was another version
already submitted.  So your changelog requires that users look at all
the previous emails to actually see what Alex and Mark requested in
changes.

I am telling you this for future patches, it will not impact these
patches, just really disappointing.  I will take the extra time to
track down all the previous emails and the changes requested to ensure
you made all the changes that were requested of you. :-(  This will
just delay when I apply the patches for testing.

> 
>  drivers/net/ethernet/intel/ixgbevf/ixgbevf.h      |   12 ++
>  drivers/net/ethernet/intel/ixgbevf/ixgbevf_main.c |   31 +++-
>  drivers/net/ethernet/intel/ixgbevf/mbx.c          |   12 ++
>  drivers/net/ethernet/intel/ixgbevf/vf.c           |  216
> +++++++++++++++++++++
>  drivers/net/ethernet/intel/ixgbevf/vf.h           |    2 +
>  5 files changed, 266 insertions(+), 7 deletions(-)